clc
clear
xdel(winsid()); //winsid()-return the list of graphics windows
                //xdel() — delete a graphics window

[filename,pathname,filterindex]=uigetfile(["*.sce"],"","Select a geometry file",%f);
exec(pathname+'/'+filename);
printf("file=%s\n",pathname+'/'+filename)

vertices1=vertices1*matrix1(1:3,1:3);
//the face numbering starts from 1 (not 0 given by lib3ds)
facelist1 = facelist1 + 1;
Boundary=max(abs(vertices1))  
ext=0.05*Boundary
LBoundary=-Boundary-ext
RBoundary=Boundary+ext

[NRow,NCol]=size(facelist1)
xvf=matrix(vertices1(facelist1,1),NRow,NCol)'
yvf=matrix(vertices1(facelist1,2),NRow,NCol)'
zvf=matrix(vertices1(facelist1,3),NRow,NCol)'
FaceColor=4*ones(NRow,1)
plot3d(xvf,yvf,list(zvf,FaceColor))
xgrid();

s=gce(); //the handle on the surface
a=gca(); // get the handle of the current axes
a.auto_scale = "off"
a.rotation_angles=[70 50]; //turn the axes with giving angles
a.data_bounds=[LBoundary,LBoundary,LBoundary;RBoundary,RBoundary,RBoundary]

//some scaling to adjust the size of the patch to the model
//scale_factor = 1.0;
//vertices1 = vertices1 * scale_factor;


